Retrieves all the email notification

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

email_notification
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

db_table_id

db_table_id

globally unique identifier
id_in_table

id_in_table

globally unique identifier
date_sent

utc date time email sent.

date
type

type, like CONTRACT_RENEW , IMPORT_DONE , JOB_APPROVAL , JOB_PLANNING , ORDER , PURCHASE_ORDER , TASK

string
subject

subject of email

string
message

email message in html format

string

Response Formats

application/json, text/json

Sample:
{
  "id": "c20cd421-6f9f-4ea5-a620-3ae8999b2420",
  "db_table_id": "ed8e8378-584b-4a4c-a3c6-03d12e0b1496",
  "id_in_table": "fda66f16-22ea-4641-9d72-f0060a423751",
  "date_sent": "2026-10-14T10:50:42.2846671+00:00",
  "type": "sample string 5",
  "subject": "sample string 6",
  "message": "sample string 7"
}